<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Convert old Fedora Docs rpm-info format to Publican-ready
       Author_Group.xml file -->

  <xsl:strip-space elements="*" />

  <xsl:output indent="yes" method="xml" version="1.0"
	      omit-xml-declaration="no"
	      doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
	      doctype-system="http://www.docbook.org/xml/4.5/docbookx.dtd" />

  <xsl:include href="rpminfo-to-publican-templates.xsl" />

  <xsl:template match="/">
    <xsl:element name="authorgroup">
      <xsl:for-each select="/rpm-info/author">
	<xsl:element name="author">
	  <xsl:call-template name="human">
	    <xsl:with-param name="who" select="@worker" />
	  </xsl:call-template>
	  <xsl:comment>
	    <xsl:text> Fill in any organizational affiliation as
	    needed using the &lt;affiliation&gt; element. Remember to
	    denote copyright correspondingly. </xsl:text>
	  </xsl:comment>
	</xsl:element>
      </xsl:for-each>
    </xsl:element>
  </xsl:template>
	      
</xsl:stylesheet>
