<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:strip-space elements="*" />

  <xsl:output indent="yes" method="xml" version="1.0"
	      omit-xml-declaration="no"
	      doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
	      doctype-system="http://www.docbook.org/xml/4.5/docbookx.dtd" />

  <xsl:include href="rpminfo-to-publican-templates.xsl" />

  <xsl:template match="/">
    <xsl:element name="appendix">
      <xsl:attribute name="id">
	<xsl:text>appe-Publican-Revision_History</xsl:text>
      </xsl:attribute>
      <xsl:element name="title">
	<xsl:text>Revision History</xsl:text>
      </xsl:element>
      <xsl:element name="simpara">
	<xsl:element name="revhistory">
	  <xsl:for-each select="/rpm-info/changelog/revision[@role != 'rpm']">
	    <xsl:element name="revision">
	      <xsl:element name="revnumber">
		<xsl:value-of select="@number" />
	      </xsl:element>
	      <xsl:element name="date">
		<xsl:value-of select="@date" />
	      </xsl:element>
	      <xsl:for-each select="author">
		<xsl:element name="author">
		  <xsl:call-template name="human">
		    <xsl:with-param name="who" select="@worker" />
		  </xsl:call-template>
		</xsl:element>
	      </xsl:for-each>
	      <xsl:element name="revdescription">
		<xsl:element name="simplelist">
		  <xsl:element name="member">
		    <xsl:value-of select="details" />
		  </xsl:element>
		</xsl:element>
	      </xsl:element>
	    </xsl:element>
	  </xsl:for-each>
	</xsl:element>
      </xsl:element>
    </xsl:element>
  </xsl:template>
	      
</xsl:stylesheet>
