<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- Templates for use among rpm-info to Publican transformations -->

  <xsl:strip-space elements="*" />

  <xsl:output indent="yes" method="xml" version="1.0"
	      omit-xml-declaration="no"
	      doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
	      doctype-system="http://www.docbook.org/xml/4.5/docbookx.dtd" />

  <!-- Print a hierarchical entry for a given worker with id $who -->
  <xsl:template name="human">
    <xsl:param name="who" select="''" />
    <xsl:for-each select="/rpm-info/colophon/worker">
      <xsl:if test="@id = $who">
        <xsl:element name="surname">
          <xsl:value-of select="@surname" />
        </xsl:element>
        <xsl:element name="firstname">
	  <xsl:value-of select="@firstname" />
        </xsl:element>
        <xsl:if test="@othername != ''">
          <xsl:element name="othername">
            <xsl:value-of select="@othername" />
          </xsl:element>
        </xsl:if>
	<xsl:if test="@email != ''">
	  <xsl:element name="email">
	    <xsl:value-of select="@email" />
	  </xsl:element>
	</xsl:if>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
